> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all available variables for a business, with known values



## OpenAPI

````yaml /openapi.json get /businesses/{id}/available_variables
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/available_variables:
    get:
      tags:
        - Variables
      summary: Get all available variables for a business, with known values
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      responses:
        '200':
          description: >-
            The variables available for the business, with induced values where
            known
          content:
            application/json:
              schema:
                type: object
                properties:
                  available_variables:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The dotted variable name, e.g. business.name
                        value:
                          type: string
                          nullable: true
                          description: >-
                            The induced value, or null when the variable
                            resolves per-recipient
                      required:
                        - name
                        - value
                    description: The variables available for the business
                required:
                  - available_variables
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````